# Uses of Class
org.apache.commons.math3.ode.sampling.AbstractFieldStepInterpolator

Packages that use AbstractFieldStepInterpolator
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of AbstractFieldStepInterpolator in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode with parameters of type AbstractFieldStepInterpolator
Modifier and Type
Method
Description
`protected FieldODEStateAndDerivative<T>`
AbstractFieldIntegrator.`acceptStep(AbstractFieldStepInterpolator<T> interpolator, T tEnd)`
Accept a step, triggering events and step handlers.

## Uses of AbstractFieldStepInterpolator in org.apache.commons.math3.ode.sampling

Methods in org.apache.commons.math3.ode.sampling that return AbstractFieldStepInterpolator
Modifier and Type
Method
Description
`protected abstract AbstractFieldStepInterpolator<T>`
AbstractFieldStepInterpolator.`create(boolean newForward, FieldODEStateAndDerivative<T> newGlobalPreviousState, FieldODEStateAndDerivative<T> newGlobalCurrentState, FieldODEStateAndDerivative<T> newSoftPreviousState, FieldODEStateAndDerivative<T> newSoftCurrentState, FieldEquationsMapper<T> newMapper)`
Create a new instance.
`AbstractFieldStepInterpolator<T>`
AbstractFieldStepInterpolator.`restrictStep(FieldODEStateAndDerivative<T> previousState, FieldODEStateAndDerivative<T> currentState)`
Create a new restricted version of the instance.